%define upstream_name    Data-Validate-IP
%define upstream_version 0.31

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Lightweight IPv4 and IPv6 validation module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(NetAddr::IP) >= 4.0.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module collects ip validation routines to make input validation, and
untainting easier and more readable.

All functions return an untainted value if the test passes, and undef if it
fails. This means that you should always check for a defined status
explicitly. Don't assume the return will be true. (e.g. is_username('0'))

The value to test is always the first (and often only) argument.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.310.0-2.mga10
+ Revision: 2216648
- Mageia 10 Mass Rebuild

* Mon Dec 05 2022 tv <tv> 0.310.0-1.mga9
+ Revision: 1918089
- update to 0.31

* Mon Mar 21 2022 umeabot <umeabot> 0.300.0-2.mga9
+ Revision: 1814270
- Mageia 9 Mass Rebuild

* Fri Apr 02 2021 tv <tv> 0.300.0-1.mga9
+ Revision: 1712560
- update to 0.30

* Wed Feb 12 2020 umeabot <umeabot> 0.270.0-3.mga8
+ Revision: 1503727
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.270.0-2.mga7
+ Revision: 1282638
- Mageia 7 Mass Rebuild

* Wed Aug 02 2017 sander85 <sander85> 0.270.0-1.mga7
+ Revision: 1134151
- update to 0.27

* Sat Jun 18 2016 pterjan <pterjan> 0.250.0-2.mga6
+ Revision: 1024975
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 shlomif <shlomif> 0.250.0-1.mga6
+ Revision: 953199
- New version 0,25

* Mon Feb 08 2016 umeabot <umeabot> 0.240.0-4.mga6
+ Revision: 943365
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.240.0-3.mga5
+ Revision: 746184
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.240.0-2.mga5
+ Revision: 684254
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 sander85 <sander85> 0.240.0-1.mga5
+ Revision: 669856
- update to 0.24

* Thu Mar 13 2014 jquelin <jquelin> 0.230.0-1.mga5
+ Revision: 602857
- update to 0.23

* Tue Feb 04 2014 shlomif <shlomif> 0.220.0-1.mga5
+ Revision: 581125
- update to 0.22

* Sat Oct 19 2013 umeabot <umeabot> 0.200.0-2.mga4
+ Revision: 530087
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 sander85 <sander85> 0.200.0-1.mga4
+ Revision: 454692
- update to 0.20

* Wed May 29 2013 shlomif <shlomif> 0.190.0-1.mga4
+ Revision: 432477
- update to 0.19

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 365536
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 26 2012 kharec <kharec> 0.140.0-1.mga3
+ Revision: 284119
- imported package perl-Data-Validate-IP


* Sun Aug 26 2012 cpan2dist 0.14-1mga
- initial mageia release, generated with cpan2dist
